module MdocsKramdown
  module Converter
    module MdocsHtml
      def initialize(root, options)
        super(root, options)
      end

      def convert_blockquote(el, indent)
        return super unless el.options[:admonition]

        classes = el.attr[:types]
        title = el.attr[:title]

        format_as_indented_block_html('div', { class: "card #{classes.join(' ')}" },
                                      (title ? format_as_indented_block_html('div', { class: 'card-header' }, title.strip, indent + 2) : '') +
                                      format_as_indented_block_html('div', { class: 'card-body' },
                                                                    format_as_indented_block_html('div', { class: 'card-text' }, inner(el, indent + 2), indent + 2),
                                                                    indent + 1),
                                      indent)
      end

      def convert_table(el, indent)
        el.attr[:class] = 'table'
        super
      end
    end
  end
end
